/* eslint-disable import/no-extraneous-dependencies */
import { storiesOf } from '@storybook/vue';
import { action } from '@storybook/addon-actions';
import { withKnobs, text } from '@storybook/addon-knobs';

import ShBlankslate from '../components/sh-blankslate/ShBlankslate';
import { withBackgrounds } from '@storybook/addon-backgrounds';

const stories = storiesOf('Blankslate', module);
stories.addDecorator(withKnobs);
stories.addDecorator(withBackgrounds([{ name: 'basic', value: '#FBFCFD', default: true }]));
stories.add(
  'Blankslate',
  () => {
    return {
      components: { ShBlankslate },
      props: {
        imgSrc: { default: text('imgSrc', 'https://assets.shoplo.com/img/admin/blankslate/blankslate_files.svg') },
        title: { default: text('title', 'Blankslate title') },
        description: { default: text('description', 'Blankslate description') }
      },
      template: `<ShBlankslate 
    :imgSrc='imgSrc' 
    :title='title' 
    :description='description'
   >
    </ShBlankslate>`,
      methods: { action: action('clicked') }
    };
  },
  {
    notes: 'A very simple component'
  }
);
