/* eslint-disable import/no-extraneous-dependencies */
import { storiesOf } from '@storybook/vue';
import { action } from '@storybook/addon-actions';
import { withKnobs, text, boolean, select, number } from '@storybook/addon-knobs';

import ShButtonUpload from '../components/sh-button-upload/ShButtonUpload.vue';
import centered from '@storybook/addon-centered';

const stories = storiesOf('Button upload', module);
const extensions = ['jpg', 'gif', 'png'];

stories.addDecorator(withKnobs);
stories.addDecorator(centered);
stories.add(
  'ShButtonUpload',
  () => {
    return {
      components: { ShButtonUpload },
      props: {
        buttonSize: { default: text('buttonSize', '100') },
        buttonCircle: { default: boolean('buttonCircle', false) },
        buttonIcon: { default: text('buttonIcon', 'sh-icon-add') },
        useExtensions: { default: boolean('useExtensions', true) },
        extensions: { default: extensions }
      },
      template: `<ShButtonUpload
    :buttonSize="buttonSize"
    :buttonCircle="buttonCircle"
    :buttonIcon="buttonIcon"
    :extensions="useExtensions ? extensions : []"
  ></ShButtonUpload>`
    };
  },
  {
    notes: 'A very simple component'
  }
);
