/* eslint-disable import/no-extraneous-dependencies */
import { storiesOf } from '@storybook/vue';
import { withBackgrounds } from '@storybook/addon-backgrounds';
import { withKnobs } from '@storybook/addon-knobs';

import ShChannelTabs from '../components/sh-channel-tabs/ShChannelTabs';

import centered from '@storybook/addon-centered';
import i18n from '../../config/storybook/locale';

const stories = storiesOf('Tabs', module);

stories.addDecorator(withKnobs);
stories.addDecorator(centered);
stories.addDecorator(withBackgrounds([{ name: 'basic', value: '#FBFCFD', default: true }]));

const tabs = [
  {
    title: 'Shoplo',
    description: 'Online',
    imgSrc: './channels/store20x20.svg',
    handler: 'shoplo'
  },
  {
    title: 'Etsy',
    description: 'Offline',
    imgSrc: './channels/etsy20x20.svg',
    handler: 'etsy'
  },
  {
    title: 'Amazon',
    description: 'Offline',
    imgSrc: './channels/amazon20x20.svg',
    handler: 'amazon'
  }
];

stories.add(
  'Channel tabs',
  () => {
    return {
      components: { ShChannelTabs },
      i18n: i18n,
      props: {
        tabs: { default: tabs }
      },
      template: `<ShChannelTabs :tabs="tabs" :activeTab="2" :style="{width: '600px'}">
</ShChannelTabs>`
    };
  },
  {
    notes: 'A very very simple component'
  }
);
