/* eslint-disable import/no-extraneous-dependencies */
import { storiesOf } from '@storybook/vue';
import { action } from '@storybook/addon-actions';
import { withKnobs, text, boolean, select, number } from '@storybook/addon-knobs';
import { color } from '@storybook/addon-knobs';
import ShColorpicker from '../components/sh-colorpicker/ShColorpicker';
import centered from '@storybook/addon-centered';
import i18n from '../../config/storybook/locale';
const stories = storiesOf('Colorpicker', module);

const globalColors = [
  {
    name: 'kolor1',
    value: '#FFFFB5'
  },
  {
    name: 'kolor2',
    value: '#FBBD87'
  },
  {
    name: 'kolor3',
    value: '#F45151'
  },
  {
    name: 'kolor4',
    value: '#7AEA89'
  },
  {
    name: 'kolor5',
    value: '#91C8E7'
  },
  {
    name: 'kolor6',
    value: '#8EB4E6'
  },
  {
    name: 'kolor7',
    value: '#B0A7F1'
  }
];
stories.addDecorator(withKnobs);
stories.addDecorator(centered);
stories.add(
  'Colorpicker',
  () => {
    return {
      components: { ShColorpicker },
      i18n: i18n,
      props: {
        color: { default: color('color', '#000FFF') },
        active: { default: boolean('active', false) },
        globalColors: { default: globalColors },
        showGlobalColors: { default: boolean('showGlobalColors', true) }
      },
      template: `
  <div>
  <ShColorpicker
  v-model="color"
  name="colorpicker"
  @newColor="newColor"
  @setGlobalColor="setGlobalColor"
  :useGlobalColors="showGlobalColors"
  :globalColors="showGlobalColors ? globalColors : []"
  ></ShColorpicker>
</div>
`,
      methods: {
        newColor: action('newColor'),
        setGlobalColor: action('setGlobalColor')
      }
    };
  },
  {
    notes: 'A very very simple component'
  }
);
