/* eslint-disable import/no-extraneous-dependencies */
import {storiesOf} from '@storybook/vue'
import {action} from '@storybook/addon-actions'
import {
  withKnobs,
  text,
  boolean,
  select,
} from '@storybook/addon-knobs';

import ShImageSelector from '../components/sh-image-selector/ShImageSelector';

const stories = storiesOf('Image selector', module);
import centered from "@storybook/addon-centered";

const images = [
  './bag.png',
  './notebook.jpg',
  './pen.png',
  './lifebuoy.svg',
  './calendar.svg',
  './bell.svg'
];

stories.addDecorator(withKnobs);
stories.addDecorator(centered);
stories.add('Image selector', () => {
  return {
    components: {ShImageSelector},
    props: {
      images: {default: images}
    },
    template: `<ShImageSelector
  :mainImage="images[0]"
  :imageSources="images">
</ShImageSelector>`,
  }
},{
  notes: 'A very very simple component',
});
