/* eslint-disable import/no-extraneous-dependencies */
import { storiesOf } from '@storybook/vue';
import { action } from '@storybook/addon-actions';
import { withKnobs, text, boolean, select, color } from '@storybook/addon-knobs';

import ShLabel from '../components/sh-label/ShLabel';
import centered from '@storybook/addon-centered';

const stories = storiesOf('Label', module);
const labelColorOptions = {
  'green-light': 'green-light',
  'gray-light': 'gray-light',
  'blue-light': 'blue-light'
};

stories.addDecorator(withKnobs);
stories.addDecorator(centered);
stories.add(
  'ShLabel',
  () => {
    return {
      components: { ShLabel },
      props: {
        content: { default: text('content', 'label') },
        color: { default: select('color', labelColorOptions, 'gray-light') }
      },
      template: `<ShLabel
    :content='content'
    :color='color'>
    </ShLabel>`
    };
  },
  {
    notes: 'A very simple component'
  }
);
