/* eslint-disable import/no-extraneous-dependencies */
import { storiesOf } from '@storybook/vue';
import { action } from '@storybook/addon-actions';
import { withKnobs, text, boolean, select } from '@storybook/addon-knobs';

import ShLink from '../components/sh-link/ShLink';
import centered from '@storybook/addon-centered';

const stories = storiesOf('Link', module);

stories.addDecorator(centered);
stories.addDecorator(
  withKnobs({
    escapeHTML: false
  })
);
stories.add(
  'ShLink',
  () => {
    return {
      components: { ShLink },
      props: {
        linkContent: { type: String, default: text('linkContent', 'my text prop value') },
        iconLeft: { type: boolean, default: boolean('iconLeft', false) },
        withIcon: { type: boolean, default: boolean('withIcon', true) }
      },
      template: `
      <div style="width:300px">
        <ShLink
          :linkContent='linkContent'
          :iconLeft='iconLeft'
          >
        </ShLink>
      </div>
    `
    };
  },
  {
    notes: 'A very simple component'
  }
);
