/* eslint-disable import/no-extraneous-dependencies */
import {storiesOf} from '@storybook/vue'
import {action} from '@storybook/addon-actions'
import {
  withKnobs,
  text,
  boolean,
  select,
} from '@storybook/addon-knobs';

import ShProductPrice from '../components/sh-product-price/ShProductPrice';
import ShDropdown from '../components/sh-dropdown/ShDropdown';
import ShDropdownItem from '../components/sh-dropdown/ShDropdownItem';
import ShIcon from '../components/sh-icon/ShIcon';
import centered from "@storybook/addon-centered";

const stories = storiesOf('Product price', module);
stories.addDecorator(centered);
stories.addDecorator(withKnobs);
stories.add('Product price', () => ({
  components: {ShProductPrice, ShDropdown, ShDropdownItem, ShIcon},
  props: {
      price: { default: text('price', '$899 - $999') },
      oldPrice: { default: text('oldPrice', '$999 - $1100') },
      showPromoLabel: { default: boolean('showPromoLabel', false) },
      showTooltip: { default: boolean('showTooltip', false) },
  },
  template: `<ShProductPrice
    style="width: 180px;"
    :price="price" 
    :oldPrice="oldPrice"
    :showPromoLabel="showPromoLabel"
   >
   <ShDropdown
    v-if="showTooltip"
    slot="price_info"
    trigger="hover"
    :isTooltip="true"
    :options="{
        placement: 'top',
        modifiers: {
        offset: { offset: '0,10px' },
        preventOverflow:  { enabled: false },
        }
      }"
  >
    <ShDropdownItem :isTooltip="true" tooltipContent="Tooltipo info"></ShDropdownItem>
    <ShIcon slot="reference" iconName="sh-icon-question-mark"></ShIcon>
  </ShDropdown>
    </ShProductPrice>`,
  methods: {action: action('clicked')}
}),{
  notes: 'A very simple component',
});
