/* eslint-disable import/no-extraneous-dependencies */
import { storiesOf } from '@storybook/vue';
import { action } from '@storybook/addon-actions';
import { withBackgrounds } from '@storybook/addon-backgrounds';
import { withKnobs, text, number, boolean, select, array, object, color } from '@storybook/addon-knobs';

import ShTableCellActions from '../components/sh-table-cell/ShTableCellActions';
import centered from '@storybook/addon-centered';
import i18n from '../../config/storybook/locale';

const stories = storiesOf('Table Cells', module);

stories.addDecorator(withKnobs);
stories.addDecorator(centered);
stories.add(
  'Actions',
  () => (
    {
      components: { ShTableCellActions },
      props: {
        remove: { default: boolean('remove', 'true') },
        edit: { default: boolean('edit', 'true') },
        show: { default: boolean('show', 'true') },
        dragNdrop: { default: boolean('dragNdrop', 'true') },
        isAlwaysVisible: { default: boolean('isAlwaysVisible', 'true') },
        isDroppedOnMobile: { default: boolean('isDroppedOnMobile', 'true') },
        firstMobileIconName: { default: text('firstMobileIconName', 'Subcategory') },
        secondMobileIconName: { default: text('secondMobileIconName', 'Edit') },
        thirdMobileIconName: { default: text('thirdMobileIconName', 'Arrange') },
        fourthMobileIconName: { default: text('fourthMobileIconName', 'Remove') }
      },
      template: `<ShTableCellActions
    :remove="remove"
    :edit="edit"
    :show="show"
    :dragNdrop="dragNdrop"
    :isAlwaysVisible="isAlwaysVisible"
    :isDroppedOnMobile="isDroppedOnMobile"
    :firstMobileIconName="firstMobileIconName"
    :secondMobileIconName="secondMobileIconName"
    :thirdMobileIconName="thirdMobileIconName"
    :fourthMobileIconName="fourthMobileIconName"
  ></ShTableCellActions>`
    },
    {
      notes: 'A very simple component'
    }
  )
);
