/* eslint-disable import/no-extraneous-dependencies */
import {storiesOf} from '@storybook/vue'
import {action} from '@storybook/addon-actions'
import {
  withKnobs,
  text,
  boolean,
  select,
  color
} from '@storybook/addon-knobs';

import ShTabs from '../components/sh-tabs/ShTabs';
import centered from "@storybook/addon-centered";

const stories = storiesOf('Tabs', module);
stories.addDecorator(withKnobs);
// stories.addDecorator(centered);

const groupAlignOptions = {
  'left': 'left',
  'right': 'right',
  'center': 'center'
};
const sizeOptions = {
  'small': 'small',
  'medium': 'medium',
  'large': 'large',
};
const tabs = [
  {
    id: 'tab_1',
    content: 'Tab 1'
  },
  {
    id: 'tab_2',
    content: 'Tab 2'
  },
  {
    id: 'tab_3',
    content: 'Tab 3'
  },
  {
    id: 'tab_4',
    content: 'Tab 4'
  }
];
let activeTab = tabs[2].id;
stories.add('ShTabs', () => ({
  components: {ShTabs},
  props: {
    alignment: { default: select('alignment', groupAlignOptions, 'center') },
    size: { default: select('size', sizeOptions, 'medium') },
    tabs: { default: tabs },
    activeTab: { default: activeTab },
    isNav: { default: boolean('isNav', true) }
  },
  template: `<ShTabs
    :tabs="tabs"
    :alignment="alignment"
    :size="size"
    :activeTab="activeTab"
    :isNav="isNav"
    @click="tabClicked"
    >
    </ShTabs>`,
  methods: {
    tabClicked: function(tab) {
      this.activeTab = tab.id;
    }},
}),{
  notes: 'A very simple component',
});
