/* eslint-disable import/no-extraneous-dependencies */
import { storiesOf } from '@storybook/vue';
import { action } from '@storybook/addon-actions';
import { withKnobs, text, boolean, select } from '@storybook/addon-knobs';

import ShTextarea from '../components/sh-textarea/ShTextarea';
import centered from '@storybook/addon-centered';

const stories = storiesOf('Textarea', module);

stories.addDecorator(withKnobs);
stories.addDecorator(centered);
stories.add(
  'ShTextarea',
  () => ({
    components: { ShTextarea },
    props: {
      value: { default: text('value', '') },
      textareaName: { default: text('textareaName', 'textareaName') },
      disabled: { default: boolean('disabled', false) },
      isReadonly: { default: boolean('isReadonly', false) },
      textareaPlaceholder: { default: text('textareaPlaceholder', '') },
      textareaButtonContent: { default: text('textareaButtonContent', '') }
    },
    template:
      '<ShTextarea ' +
      "v-model='value'" +
      ":textareaName='textareaName'" +
      ":disabled='disabled'" +
      ":isReadonly='isReadonly'" +
      ":textareaPlaceholder='textareaPlaceholder'" +
      ":textareaButtonContent='textareaButtonContent'>" +
      '</ShTextarea>',
    methods: { action: action('clicked') }
  }),
  {
    notes: 'A very very simple component'
  }
);
