/* eslint-disable import/no-extraneous-dependencies */
import {storiesOf} from '@storybook/vue'
import {action} from '@storybook/addon-actions'
import {
  withKnobs,
  text,
  boolean,
} from '@storybook/addon-knobs';


import ShUploadField from '../components/sh-upload-field/ShUploadField.vue'
import centered from "@storybook/addon-centered";

const stories = storiesOf('Upload field', module);
const extensions = ['jpg', 'gif', 'png'];

stories.addDecorator(withKnobs);
stories.addDecorator(centered);
stories.add('ShUploadField', () => ({
  components: {ShUploadField},
  props: {
    fieldHeight: { default: text('fieldHeight', '200') },
    buttonCircle: { default: boolean('buttonCircle', false) },
    buttonIcon: { default: text('buttonIcon', 'sh-icon-add') },
    useExtensions: { default: boolean('useExtensions', true) },
    extensions: { default: extensions }
  },
  template: `<div style="width: 600px">
  <ShUploadField
    :fieldHeight="fieldHeight"
    :buttonIcon="buttonIcon"
    :extensions="useExtensions ? extensions : []"
  >
  <div slot="uploadText" class="sh-upload-field-text">
        Drop your images here:<br>
        .png, .jpg and .gif up to 5 MB
      </div>
</ShUploadField>
      </div>`,
  methods: {

  }
}),{
  notes: 'A very simple component',
});
