'use strict';
const path = require('path');
var extractCSS = false;
var buildAssets = null;
const sass = `
  @import './src/sass/base/_colors.scss';
  @import './src/sass/base/_icons.scss';
  @import './src/sass/utilities/fonts/_variables.scss';
  @import './src/sass/utilities/_keyframes.scss';
  @import './src/sass/utilities/mixins/module.scss';
  @import './src/sass/buefy/variables.scss';
  @import './src/sass/buefy/bulmamixins.scss';
  @import './src/sass/atoms/_typography.scss';
`;
const sassFullPackage = `
  @import './src/sass/_variables.scss';
  @import './src/sass/base/_colors.scss';
  @import './src/sass/base/_fonts.scss';
  @import './src/sass/base/_icons.scss';
  @import './src/sass/utilities/module.scss';
  @import './src/sass/atoms/_icons.scss';
  @import './src/sass/atoms/_flags.scss';
  @import './src/sass/atoms/_loading.scss';
  @import './src/sass/atoms/_typography.scss';
  @import './src/sass/vue/_select-vue.scss';
  @import './src/sass/vue/_file-upload.scss';
  @import './src/sass/buefy/bulmamixins.scss';
`;
if (process.env.npm_lifecycle_event !== 'build-module:lib') {
  extractCSS = true;
  buildAssets = sassFullPackage;
} else {
  if (JSON.parse(process.env.npm_config_argv).original[JSON.parse(process.env.npm_config_argv).original.length-1] !== 'ShWrapper.vue') {
    buildAssets = sass;
  }
}
module.exports = {
  chainWebpack: config => {
    config.resolve.set('symlinks', false);
  },
  configureWebpack: config => {
    if (process.env.NODE_ENV === 'production') {
      return {
        externals: {
          'vue-class-component': {
            commonjs: 'vue-class-component',
            commonjs2: 'vue-class-component'
          },
          'vue-property-decorator': {
            commonjs: 'vue-property-decorator',
            commonjs2: 'vue-property-decorator'
          }
        }
      };
    }
  },
  css: {
    extract: extractCSS,
    loaderOptions: {
      sass: {
        data: buildAssets
      }
    }
  }
};
